<br><br>
<div id="viewContainer">
    <center>Loading</center>
</div>



<script>
    defaultBackOnclick = null;
    Target_Uploaded_Files = [];
    
    if(typeof LoadDataPageFunc==='undefined'){
        LoadDataPageFunc = {};
    }
    LoadDataPageFunc.Settings = {};
    LoadDataPageFunc.PageTitle = 'Photo';
    LoadDataPageFunc.currentTargetPage = 'PhotoViewer';

    LoadDataPageFunc.URLs = {};
    LoadDataPageFunc.URLs.MainPhotoFileListHASH = currenttarget;
    LoadDataPageFunc.URLs.TargetURL = currenttarget;


    LoadDataPageFunc.ids = {};
    LoadDataPageFunc.ids.ViewContainer = "viewContainer";
    
    
    LoadDataPageFunc.RefetchDataAndReload = function (istrue = true) {
        if (!istrue) { return false; }
        Preloaders.ViewPropertyDetailsData(currenttarget, false,
            function (response) {
                ReloadPage();
            }
        );
    };
    LoadDataPageFunc.UpdateMainContainer=function(html){
        $('#'+LoadDataPageFunc.ids.ViewContainer).html(html);
    };


    LoadDataPageFunc.Settings = {};


    LoadDataPageFunc.Settings.RequestType = 'POST';
    LoadDataPageFunc.Settings.fromVarCache = true;
    LoadDataPageFunc.LoadMainDetails = {};
 


    LoadDataPageFunc.LoadMainDetails.LoadNow = function () {

        LoadAndCreateURLfromFileHash(currenttarget).then(bloburl => {
            const imgelement = `<img src ="${bloburl}" style="">`;
             LoadDataPageFunc.UpdateMainContainer(imgelement);
            });
    };


    LoadDataPageFunc.main = function () {
        LoadDataPageFunc.LoadMainDetails.LoadNow();

        changeTopbarTitle(LoadDataPageFunc.PageTitle);
    };




    $(document).ready(function () {
        LoadDataPageFunc.main();

    });



</script>